package main

import (
	"cicv-data-closedloop/kinglong_msgs"
)

func Topic() string {
	return "/fault_info"
}

func Label() string {
	return "controlfault"
}

func Rule(data *kinglong_msgs.FaultVec) string {
	for _, fault := range data.InfoVec {
		if fault.ErrorCode == 12560 {
			return "controlfault"
		}
	}
	return ""
}
